Subject: Re: bug#37867: bug on x86_64-linux AMD box

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 23 Oct 2019 13:53:36 +0200

On Tue, Oct 22, 2019 at 05:48:09AM -0700, Leo Barge wrote:
> 
> I found a bug.
> […]
> At hour 0437 on date 22 OCT 2019, a ten-hour long guix pull that I ran ended
> with the following message, in a summary of operation:
> 
> 
> Full log written to
> /tmp/guix-build-glib-2.60.6.drv-0/build/meson-logs/testlog.txt
> @ build-log 3297 65
> command "meson" "test" "--no-suite" "flaky" failed with status 1
> […]

Thank you for reporting.  This is strange.  Your guix version is
recent.  Glib builds fine for me though (on a Macbook using
“./pre-inst-env guix build glib --check --no-grafts”).

> I immediately went looking for the full log but failed to find it at the
> reported location in /tmp.

You would need to add -K to the guix pull command (“guix pull -K”) to
get the full log because the log is generated not by Guix itself and
Guix deletes build directories by default.

Regards,
Florian